Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsTagLibClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsTagLibClass

All Implemented Interfaces:
  GrailsTagLibClass

    public class DefaultGrailsTagLibClass
    extends AbstractInjectableGrailsClass

Default implementation of a tag lib class.

Authors:
  Graeme Rocher

Field Summary
`protected static java.lang.String` | `TAG_LIB`

Constructor Summary
`DefaultGrailsTagLibClass(java.lang.Class clazz)` Default contructor.

Method Summary
`java.lang.String` | `getNamespace()`
`java.util.Set` | `getTagNames()`
`java.util.Set` | `getTagNamesThatReturnObject()`
`boolean` | `hasTag(java.lang.String tagName)`
`boolean` | `supportsController(GrailsControllerClass controllerClass)`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Field Detail

### TAG_LIB

    protected static final java.lang.String TAG_LIB

Constructor Detail

### DefaultGrailsTagLibClass

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public DefaultGrailsTagLibClass(java.lang.Class clazz)

  Default contructor.
  Parameters:
    `clazz` - the tag library class

Method Detail

### getNamespace

    public java.lang.String getNamespace()

### getTagNames

    public java.util.Set getTagNames()

### getTagNamesThatReturnObject

    public java.util.Set getTagNamesThatReturnObject()

### hasTag

    public boolean hasTag(java.lang.String tagName)

### supportsController

    public boolean supportsController(GrailsControllerClass controllerClass)

Groovy Documentation